4

I have found that there is a large community suffering from the problems with the WiFi-Bluetooth card Ralink RT-3290. It has been a problem since 2012-2013.

None of the solutions I've found is simple, effective and durable.

I managed, with great effort, some results. But when there is a kernel update, the problems return.

Can anyone provide a simple , effective and lasting solution?
Is there a project from Ubuntu's developers to attack the problem?

  • Sorry. I not want to be a rant. It intended as a constructive questions about the possible solution. Maybe I should have used some forum. I agree. It is the first time I use "ask ubuntu" and I could confuse me. It will not happen again. Goodbye. – Antonio Apr 11 '16 at 9:18
  • 1
    Questions here are best asked in an actual way, without unnecessary noise or opinion(s). It increases your chances the question will be read until the end and you will get answers. – Jacob Vlijm Apr 11 '16 at 9:27
  • The kernel developers weren't getting any help from the manufacturer in this case and there is a special interface involved if I remember correctly – Jeremy31 Apr 11 '16 at 10:32
  • Thank you. I know that there is no help from the manufacturer. And the bugs are reported for a long time. Internet is full of refrencias and PPA to this particular problem with Ralink RT3290. I've tried everything. The rbth-dkms driver (with modifications and after hard work) does work (not perfectly) at least in kernel versions lower than 3.15. In that case, one skilled enough to adapt it to make it work adjusting to the new BT kernel API. My knowledge is not enough. So I am surprised that some expert community has not found an effective packaged solution. Because it is a widespread problem. – Antonio Apr 11 '16 at 13:27
3

Generally, the answer above is a steps in a correct direction. There are only two steps missing.

Step-by-step solution Open new terminal (Ctrl+Alt+T) and type as follows:

 sudo apt install git
 mkdir ~/tmp
 cd ~/tmp
 git clone https://github.com/alinefr/rtbth.git
 cd rtbth
 make
 sudo make install
 sudo cp -r ~/rtbth /usr/src/rtbth-3.9.3
 sudo dkms install rtbth/3.9.3
 sudo nano /etc/modules

Add rtbth to the end of the file, then Ctrl+o and ENTER (to save the file) and Ctrl+X to close the editor

Then reboot and the new driver will be loaded.

This one worked for me to get the Bluetooth to be active and find devices, however, I didn't succeeded to pair my Jabra play clipper with it, but that might be due to the Jabra device problems.

Anyway, you can try it out and share your progress with us

| improve this answer | |
2

I also was facing the same problem and I tried all the solution I could find and still could not solve it, most I was able to reach was that all the Bluetooth devices were showing but I was not able to connect to any of them.

But I just today finally found something that works and is very easy to install, it is located on github rtbth-dkms.

To Install,

sudo add-apt-repository ppa:blaze/rtbth-dkms
sudo apt-get update
sudo apt-get install rtbth-dkms

and then follow the Init commands below, your BlueTooth will work now, in case of any problem leave a comment, I will be happy to help you.

Usage

# Init
sudo modprobe rtbth
sudo rfkill unblock bluetooth
hcitool dev # check

# Switch off
sudo rfkill block bluetooth

# Switch on
sudo rfkill unblock bluetooth

# Shutdown
sudo pkill -2 rtbt
sudo rmmod rtbth
| improve this answer | |
1

For bluetooth support there is an updated rtbth version for latest kernel versions (it works in my 4.4.6)

Here is the URL: https://github.com/alinefr/rtbth

From Ubuntu you need to

make
sudo make install
sudo dkms install rtbth/3.9.3

The kernel module is called rtbth

For Wireless support, latest kernel from Ubuntu 16.04 LTS (Xenial Xerus), at the moment, 4.4.0 should work out of the box with rt2800pci module.

| improve this answer | |
  • 1
    It is not working. I have HP 250 G3 with Ralink RT3290. I am trying to get my wireless working for 2 hours and no success. Is it so complicate to fix a problem that is know from 3 years??? I am new Ubuntu user wanted to try Windows alternative. Guess what will not use it anymore. – user550965 Jun 1 '16 at 8:22
  • I also have HP 250 G3, and the solution I posted below worked for me. – Suraj Jain Mar 5 '18 at 1:52
0

I am using 16.10.

You should replace

HCI_BREDR

with

HCI_PRIMARY 

in rtbth_core_bluez.c.

| improve this answer | |
  • 2
    For this answer to be really useful, you should include sterps as tp how that can be achieved – User24601 Jan 22 '17 at 7:18
  • can't find the file! – Zanna Jan 22 '17 at 13:29
  • The file in question is in the downloaded source directory itself, this solves the error during make – Sapnesh Naik Aug 17 '17 at 5:54

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.